<template>
  <div class="catalogPage">
    <div class="header">
      <div class="container">
        <div class="block">
          <div class="typedString">
            <div id="typed-string">
              <h1 class="title">Service Catalog</h1>
            </div>
            <h1 class="title" id="typed"></h1>
          </div>
          <p class="subtitle">
            A universal marketplace for cloud software and services with pay-as-you-go pricing,
            rapid deployment and simple operations
          </p>
        </div>
      </div>
    </div>
    <ServiceCatalogItems v-if="services" v-bind:services="services" />
    <ContentPlaceholder v-else v-bind:level="level" />
  </div>
</template>

<script lang="ts">
import { Component, Vue, Prop } from "vue-property-decorator";
import ContentPlaceholder from "@/components/ContentPlaceholder.vue";
import ServiceCatalogItems from "@/components/ServiceCatalogItems.vue"; // @ is an alias to /src
import BaseViewVue from "@/components/BaseViewVue.vue";

@Component({
  components: {
    ServiceCatalogItems
  }
})
export default class ServiceCatalog extends BaseViewVue {
  get services() {
    return this.$store.state.catalog.services;
  }
}
</script>

<style lang="scss" scoped>
.catalogPage {
  .header {
    background-color: $white;
    height: 480px;

    &::before {
      content: url(../assets/img/main_bg.svg);
      position: absolute;
      left: 27%;
      // top: 34%;
    }

    @include media("<=phone") {
      background-position: 42% 61%;
      height: auto;
      min-height: 350px;
      margin: 50px 0;
    }

    .typedString {
      height: 56px;
      margin-bottom: 20px;
    }

    .block {
      height: 380px;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;

      @include media("<=phone") {
        height: auto;
        min-height: 350px;
      }

      .title {
        font: 3.125rem/3.5rem Varela Round;
        height: 56px;
        overflow: hidden;

        @include media("<=phone") {
          font-size: 2rem;
        }
      }

      .subtitle {
        width: 415px;
        margin: 15px auto 0;
        text-align: center;
        font: 1rem/1.5rem Open Sans;

        @include media("<=phone") {
          width: 100%;
        }
      }
    }
  }
}
</style>
